@import url('https://fonts.googleapis.com/css2?family=Grenze+Gotisch:wght@100..900&family=MedievalSharp&family=Metamorphous&family=New+Rocker&display=swap');

.grenze-gotisch {
    font-family: "Grenze Gotisch", serif;
    font-optical-sizing: auto;
    font-style: normal;
}

.new-rocker-regular {
    font-family: "New Rocker", system-ui;
    font-weight: 400;
    font-style: normal;
}

.medievalsharp-regular {
    font-family: "MedievalSharp", cursive;
    font-weight: 400;
    font-style: normal;
}

.metamorphous-regular {
    font-family: "Metamorphous", serif;
    font-weight: 400;
    font-style: normal;
}

body {
    display: flex;
    flex-direction: column;
    text-align: center;
}

h1 {
    font-family: "Grenze Gotisch";
    font-size: 64px;
    font-weight: bold;
}

h2 {
    font-family: "New Rocker";
    font-size: 32px;
}

h3 {
    font-family: "New Rocker";
    font-size: 24px;
}

a {
    color: black;
    text-decoration: none;
}

a:hover {
    color: red;
    text-decoration: none;
}

button {
    width: 250px;
    background-color: purple;
    color: white;
    transition: ease-in-out 0.2s;
    cursor: pointer;
    border: none;
}

button:hover,
button:active,
button:focus {
    background-color: cyan;
    color: black;
    transition: ease-in-out 0.2s;
}

header {
    display: flex;
    align-items: center;
    width: fit-content;
    margin: auto;
}

footer {
    position: absolute;
    bottom: 10px;
    left: 0;
    right: 0;
    width: fit-content;
    margin: auto;
    clear: both;
}

.hr {
    border-bottom: solid black 2px;
}

.imganimation {
    height: 64px;
}

#imgmenu {
    width: 150px;
    height: auto;
}

#divmenu {
    background-color: purple;
}

#tablemenu {
    width: fit-content;
    margin: auto;
}

#divanimation {
    position: relative;
    height: 64px;
}

#dragon {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    animation: dragonanimation 10s ease-in-out 0.2s infinite;
    animation-delay: -2s;
}

#coins {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    animation: coinsanimation 10s ease-in-out 0.2s infinite;
    animation-delay: -2s;
}

#wand {
    position: absolute;
    left: 5%;
}

@keyframes dragonanimation {
    0% {
        left: -70%;
        transform: scaleX(1);
    }

    49% {
        transform: scaleX(1);
    }

    50% {
        left: 70%;
        transform: scaleX(-1);
    }

    99% {
        transform: scaleX(-1);
    }

    100% {
        left: -70%;
        transform: scaleX(1);
    }
}

@keyframes coinsanimation {
    0% {
        left: 80%;
        opacity: 100;
    }

    50% {
        left: 80%;
        opacity: 100;
    }

95%{
    opacity: 0;
}

    100% {
        left: -60%;
        opacity: 0;
    }
}

@keyframes coinsanimation {
    0% {
        left: 80%;
        opacity: 0;
    }

    50% {
        left: 80%;
        opacity: 0;
    }

95%{
    opacity: 100;
}

    100% {
        left: -60%;
        opacity: 100;
    }
}